<configuration scan="true">

    <property name="APPLI_VERSION" value="${APPLI_VERSION}" />

    <appender name="FILE"
        class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>var/log/xivo-full-stats/xivo-full-stats.log</file>
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <!-- daily rollover -->
            <fileNamePattern>var/log/xivo-full-stats/xivo-full-stats.%d{yyyy-MM-dd}.log.gz</fileNamePattern>
            <maxHistory>14</maxHistory>
        </rollingPolicy>

        <encoder>
            <pattern>%date - ${APPLI_VERSION} - %-5level %logger{15} - %message%n%xException</pattern>
        </encoder>
    </appender>

    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>%date - ${APPLI_VERSION} - %-5level %logger{15} - %message%n%xException</pattern>
        </encoder>
    </appender>

    <root level="INFO">
        <appender-ref ref="STDOUT" />
        <appender-ref ref="FILE" />
    </root>

</configuration>
